Name: mod_auth_mysql
Version: 3.0.0
Release: alt4

Summary: mod_auth_mysql module for Apache 1.3 HTTP Server
License: Apache (BSD-like)
Group: System/Servers

Url: http://modauthmysql.sourceforge.net
Packager: Vladimir V Kamarzin <vvk@altlinux.ru>

# http://modauthmysql.sourceforge.net/
Source0: %name-%version.tar
Source1: %name.conf
Patch0: %name-%version-%release.patch

Requires: apache

# Automatically added by buildreq on Sat Jun 04 2005
BuildRequires: apache-devel libMySQL-devel zlib-devel

%description
mod_auth_mysql is an Apache module to authenticate users and authorize access
through a MySQL database.  It is flexible and support several encryption
methods.  The module will work on Apache 1.x.

%prep
%setup -q
%patch0 -p1
mkdir 1.3

%build
%_sbindir/apxs -c -I%_includedir/mysql %name.c -lmysqlclient -lm -lz
mv %name.so 1.3/

%install
install -pDm0644 1.3/%name.so %buildroot%_libdir/apache/%name.so
install -pDm0644 %SOURCE1 %buildroot%_sysconfdir/httpd/conf/addon-modules.d/%name.conf

%post
%_initdir/httpd condrestart

%postun
%_initdir/httpd condrestart

%files
%config(noreplace) %_sysconfdir/httpd/conf/addon-modules.d/%name.conf
%_libdir/apache/*
%doc CHANGES CONFIGURE README

%changelog
* Tue Apr 17 2007 Vladimir V Kamarzin <vvk@altlinux.ru> 3.0.0-alt4
- Drop apache2 subpackage
- Drop docs subpackage

* Mon Apr 16 2007 Vladimir V Kamarzin <vvk@altlinux.ru> 3.0.0-alt3
- Change module activation way accordind to new apache2 scheme

* Tue Mar 13 2007 Vladimir V Kamarzin <vvk@altlinux.ru> 3.0.0-alt2
- Fix building with new apr
- Update buildrequires
- Switch to use .gear-tags

* Fri Dec 15 2006 Vladimir V Kamarzin <vvk@altlinux.ru> 3.0.0-alt1
- 3.0.0 (Closes: #10409)
- Rebuild with new libmysqlclient (Closes: #10312)
- Cleanup spec
- Change Packager

* Sat Jun 04 2005 Vladimir Lettiev <crux@altlinux.ru> 2.9.0-alt1
- Initial release for ALT Linux Sisyphus
